Index: trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuEvent.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuEvent.cs	(revision 466)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuEvent.cs	(revision 467)
@@ -1036,10 +1036,10 @@
                 int ColCnt = tblLayoutOrder.GetColumn(btnKey);                          // 列取得（Ｘ）
                 int RowCnt = tblLayoutOrder.GetRow(btnKey);                             // 行取得（Ｙ）
 
-                switch (RowCnt)
+                switch (ColCnt)
                 {
                     case 0:
-                        switch (ColCnt)
+                        switch (RowCnt)
                         {
                             case 0:
                                 #region 工事基本情報入力
@@ -1049,55 +1049,47 @@
                                 //　工事基本情報入力
                                 ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.ConstructionBaseInfo);
                                 ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(true);
+                                #endregion
                                 break;
-                                #endregion
                             case 2:
-                                #region 工事施工予算入力
+                                #region 積算見積入力
                                 // ----- 起動プロセス設定
+                                // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
                                 NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
 
-                                // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
-                                // 工事施工予算入力
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.ConstructionBudget);
+                                //　積算見積入力
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.EstimateInput);
                                 ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
+                                #endregion
                                 break;
-                                #endregion
                             case 4:
-                                #region 請求書入力（出来高）
-                                // 請求書入力（出来高）→分割
-                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.RequestInputlList);
+                                #region 積算見積印刷
+                                // ----- 起動プロセス設定
+                                // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
 
-                                // 請求書入力（出来高）
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.RequestInput);
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ConstructionBaseInfo.BillingSplitFlgDef.SplitBilling);
-                                break;
+                                //　積算見積印刷
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.EstimatePrint);
+                                ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
                                 #endregion
-                            case 7:
-                                #region 請求書入力（完了後）
-                                // 請求書入力→一括
-                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.RequestInputlList);
-
-                                // 請求書入力（出来高）
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.RequestInput);
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ConstructionBaseInfo.BillingSplitFlgDef.AllOnBilling);
                                 break;
-                                #endregion
                         }
                         break;
+
                     case 2:
-                        switch (ColCnt)
+                        switch (RowCnt)
                         {
                             case 0:
-                                #region 積算見積入力
+                                #region 工事施工予算入力
                                 // ----- 起動プロセス設定
-                                // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
                                 NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
 
-                                //　積算見積入力
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.EstimateInput);
+                                // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                // 工事施工予算入力
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.ConstructionBudget);
                                 ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
+                                #endregion
                                 break;
-                                #endregion
                             case 2:
                                 #region 工事詳細台帳
                                 // 工事詳細台帳一覧
@@ -1109,53 +1101,32 @@
                                 ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
                                 break;
                                 #endregion
-                            case 4:
-                                #region 出来高請求書印刷
-                                // 出来高請求書印刷
-                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.RequestPrintList);
-
-                                // 請求書印刷（出来高）
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.RequestPrint);
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ConstructionBaseInfo.BillingSplitFlgDef.SplitBilling);
-                                break;
-                            #endregion
-                            case 7:
-                                #region 完了後請求書印刷
-                                // 完了後請求書印刷
-                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.RequestPrintList);
-
-                                // 請求書入力（完了後）
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.RequestPrint);
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ConstructionBaseInfo.BillingSplitFlgDef.AllOnBilling);
-                                break;
-                                #endregion
                         }
                         break;
+
                     case 4:
-                        switch (ColCnt)
+                        switch (RowCnt)
                         {
                             case 0:
-                                #region 積算予算入力
-                                // ----- 起動プロセス設定
-                                // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
-                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
+                                #region 請求書入力（出来高）
+                                // 請求書入力（出来高）→分割
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.RequestInputlList);
 
-                                //　積算予算入力
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.EstimateBudget);
-                                ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
+                                // 請求書入力（出来高）
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.RequestInput);
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ConstructionBaseInfo.BillingSplitFlgDef.SplitBilling);
+                                #endregion
                                 break;
-                            #endregion
                             case 2:
-                                #region 注文書入力
-                                // ----- 起動プロセス設定
-                                // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
-                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
+                                #region 出来高請求書印刷
+                                // 出来高請求書印刷
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.RequestPrintList);
 
-                                // 注文書入力
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.PurchaseOrderEntry);
-                                ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
+                                // 請求書印刷（出来高）
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.RequestPrint);
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ConstructionBaseInfo.BillingSplitFlgDef.SplitBilling);
+                                #endregion
                                 break;
-                                #endregion
                             case 4:
                                 #region 出来高請求書発給状況一覧
                                 // 出来高請求書発給状況一覧
@@ -1163,89 +1134,63 @@
                                 NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ReqBillingStatus);
                                 ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.ReqBillingStatInput);
                                 ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ConstructionBaseInfo.BillingSplitFlgDef.SplitBilling);
-                                break;
                                 #endregion
-                            case 7:
-                                #region 完了後請求書発給状況一覧
-                                // 完了後請求書発給状況一覧
-                                // ----- 起動プロセス設定
-                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ReqBillingStatus);
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.ReqBillingStatInput);
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ConstructionBaseInfo.BillingSplitFlgDef.AllOnBilling);
                                 break;
-                                #endregion
                         }
                         break;
-                    case 6:
-                        switch (ColCnt)
+
+                    case 5:
+                        switch (RowCnt)
                         {
-                            case 0:
-                                #region 積算見積印刷
-                                // ----- 起動プロセス設定
-                                // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
-                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
-
-                                //　積算見積印刷
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.EstimatePrint);
-                                ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
-                                break;
-                                #endregion
-                            case 2:
-                                #region 注文書印刷
-                                // ----- 起動プロセス設定
-                                // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
-                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionList);
-
-                                //　注文書印刷
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.PurchaseOrderPrint);
-                                ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
-                                break;
-                            #endregion
-                            case 5:
+                            case 6:
                                 #region 請求承認状況閲覧
                                 // 請求承認状況閲覧
                                 // ----- 起動プロセス設定
                                 NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ReqApprovalStatus);
-                                break;
                                 #endregion
-                        }
-                        break;
-                    case 8:
-                        switch (ColCnt)
-                        {
-                            case 2:
-                                #region 注文書発給状況一覧
-                                // 注文書発給状況一覧
-                                // ----- 起動プロセス設定
-                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.PurchaseOrderStatus);
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.PurchaseStatusInput);
                                 break;
-                                #endregion
-                            case 5:
+                            case 8:
                                 #region 取引先入金入力
                                 // 入金確認
                                 NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.PaymentConfirmation);
+                                #endregion
                                 break;
-                                #endregion
                         }
                         break;
-                    case 10:
-                        switch (ColCnt)
+
+                    case 7:
+                        switch (RowCnt)
                         {
                             case 0:
-                                #region 工事日報入力
-                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.DRList);
-                                // 日報一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.DRConstruction);
+                                #region 請求書入力（完了後）
+                                // 請求書入力→一括
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.RequestInputlList);
+
+                                // 請求書入力（出来高）
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.RequestInput);
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ConstructionBaseInfo.BillingSplitFlgDef.AllOnBilling);
+                                #endregion
                                 break;
+                            case 2:
+                                #region 完了後請求書印刷
+                                // 完了後請求書印刷
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.RequestPrintList);
+
+                                // 請求書入力（完了後）
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.RequestPrint);
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ConstructionBaseInfo.BillingSplitFlgDef.AllOnBilling);
                                 #endregion
-                            case 2:
-                                #region 各工事打合わせ議事録
-                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.DRList);
-                                // 日報一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.Proceedings);
                                 break;
-                            #endregion
+                            case 4:
+                                #region 完了後請求書発給状況一覧
+                                // 完了後請求書発給状況一覧
+                                // ----- 起動プロセス設定
+                                NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ReqBillingStatus);
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.ReqBillingStatInput);
+                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ConstructionBaseInfo.BillingSplitFlgDef.AllOnBilling);
+                                #endregion
+                                break;
+
                         }
                         break;
                 }
